Subject: Re: bug#63555: closed (Re: bug#63555: emacs 29 complains that it can't connect to the display)

From: Phillip Susi <[email-masked]>
Date: Mon, 22 May 2023 09:37:30 -0400

Po Lu <[email-masked]> writes:

>> Is there anything stopping us from removing that call to gtk_init?
>
> Yes, since the PGTK build is supposed to support multiple displays.

What does multiple displays have to do with it?  If gtk_init_check()
tries to connect to the display sever, then itsn't it that call that
should be skipped if none of those 3 environment variables are set?